md=mesh(model,'../Exp/Square.exp',170000);
md=geography(md,'../Exp/SquareShelf.exp','');
md=parameterize(md,'../Par/SquareSheetShelf.par');
md=extrude(md,3,1);
md=setelementstype(md,'macayeal','all');

%control parameters
md.control_analysis=1;
md.control_type={'DragCoefficient'};
md.cm_min=1*ones(md.numberofnodes,1);
md.cm_max=200*ones(md.numberofnodes,1);
md.nsteps=2;
md.cm_responses=[SurfaceLogVelMisfitEnum()*ones(md.nsteps,1)  DragCoefficientAbsGradientEnum*ones(md.nsteps,1)];
md.weights=ones(md.numberofnodes,2); md.weights(:,2)=2*10^-7;
md.optscal=3*ones(md.nsteps,1);
md.maxiter=2*ones(md.nsteps,1);
md.cm_jump=0.3*ones(md.nsteps,1);
md.dt=0;
md.vx_obs=md.vx; md.vy_obs=md.vy;

md.cluster=none;
md=solve(md,SteadystateSolutionEnum);

%Fields and tolerances to track changes
field_names     ={'Gradient' 'Misfits' 'DragCoefficient' 'Pressure' 'Vel' 'Vx' 'Vy' 'Vz' 'Temperature' 'BasalMeltingRate'};
field_tolerances={1e-13,1e-13,1e-13,1e-13,1e-13,1e-13,1e-13,1e-13,1e-13,1e-13};
field_values={...
	PatchToVec(md.results.SteadystateSolution.Gradient1),...
	md.results.SteadystateSolution.J,...
	PatchToVec(md.results.SteadystateSolution.DragCoefficient),...
	PatchToVec(md.results.SteadystateSolution.Pressure),...
	PatchToVec(md.results.SteadystateSolution.Vel),...
	PatchToVec(md.results.SteadystateSolution.Vx),...
	PatchToVec(md.results.SteadystateSolution.Vy),...
	PatchToVec(md.results.SteadystateSolution.Vz),...
	PatchToVec(md.results.SteadystateSolution.Temperature),...
	PatchToVec(md.results.SteadystateSolution.BasalMeltingRate)
};
